CREATE TABLE IF NOT EXISTS humidities (
  id                      CHAR(36)                                                CONSTRAINT pk_humidities PRIMARY KEY,
  value                   NUMERIC(10,3)                                           NOT NULL,
  date                    TIMESTAMP                                               NOT NULL,
  sensor_id               CHAR(36)                                                NOT NULL,
  creation_date           TIMESTAMP                   DEFAULT CURRENT_TIMESTAMP   NOT NULL,
  update_date             TIMESTAMP
);

ALTER TABLE humidities
ADD FOREIGN KEY (sensor_id)
REFERENCES sensors(sensor_id)
ON DELETE CASCADE
ON UPDATE CASCADE;