package main

import (
	"log"
	"os"

	"git.cryptic.systems/volker.raschek/flucky/cli"
	"github.com/Masterminds/semver"

	_ "github.com/lib/pq"
	_ "github.com/mattn/go-sqlite3"
)

var (
	version string
)

func main() {
	sversion, err := semver.NewVersion(version)
	if err != nil {
		log.Printf("The sematic versioning is invalid: %v", version)
		os.Exit(1)
	}

	cli.Execute(sversion)
}
