package sensor

import (
	"time"

	"git.cryptic.systems/volker.raschek/flucky/pkg/types"
)

type Sensor interface {
	GetID() string
	GetTicker() *time.Ticker
	Read() ([]*types.MeasuredValue, error)
}
